#!/bin/bash
# Script utilisé pour "automatiser" (raccourcir) le processus de pull, d'ajout, de commit et de push pour le répositoire Gitea personnel.
# Ajout de messages et de délais pour mieux se repérer et se situer dans le processus.
echo "Récupération des fichiers à jour (si en retard localement)..."
sleep 2
git pull
echo "Ajout des fichiers au Gitea..."
sleep 2
git add .
echo "Commit en cours..."
sleep 3
git commit
echo "Push des fichiers au Gitea..."
sleep 2
git push
